#!/usr/bin/php

<?
  set_time_limit(0);
//  error_reporting(0);
  ini_set("default_socket_timeout", -1);
  
  require_once("/var/www/html/squidler_test/include.main.inc.php");

  $squid_access_log_in  = $cfg['main']['squid_access_log_in'];
  $squid_access_log_out = $cfg['main']['squid_access_log_out'];


// FIFO  (named pipe)
  if( file_exists($squid_access_log_in) )
    unlink($squid_access_log_in);
  $ret = posix_mkfifo($squid_access_log_in, 0660);
  check_file($ret, $squid_access_log_in, "fifo", 1, 1);
//end

  $fi = fopen($squid_access_log_in, "r");
  check_file($fi, $squid_access_log_in, "fopen (r)", 1, 1);

  //   //   ,
  //.. logrotate      
  $fo = fopen($squid_access_log_out, "a"); //Append
  check_file($fo, $squid_access_log_out, "fopen (a)", 1, 1);

  $db_con = connect_db();

  while(1)
  {
    //  FIFO  
    $buf = fgets($fi);
    $ret = check_file($buf, $squid_access_log_in, "Squid stop?! fgets", 1, 0);
    if($ret == 0)
    {
      fclose($fi);
      fclose($fo);
      die;
    }
    //end

    $buf = trim($buf, "\r\n\t ");

    //    
    $log = $buf . "\n";
    $writed = fputs($fo, $log); // "\n" - buffer overload then buf > 4096 bytes
    if( $writed != strlen($log) ) //  - " "
    {
      write_log("fputs failed... Log: " . $log);
      fclose($fi);
      fclose($fo);
      die;
    }
    //end

    squid_log_2_db($db_con, $buf, 0);
  }    
?>
