<?
  require_once("include.main.inc.php");
  require_once("include.html.inc.php");

  function get_query_bit()
  {
    $admin_level = 0;
    for($i = 0; $i < admin_level_count(); $i++)
    {
      if($_GET["bit" . $i] == "on")
      {
        $admin_level += (1 << $i);
      }
    }

    return $admin_level;
  }

  php_start();

  $SES_user_id = check_ses();

  $db_con = connect_db();

  // ?
  $admin_arr = find_admin($db_con, $SES_user_id);
  if( count($admin_arr) == 0 )
  {
    header("Location: redirect?not_admin");
    die;
  }
  //end
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<?
  style();
?>
<title>
SquidLER -  
</title>
</head>
<body>
<?
  show_top_menu($db_con, $SES_user_id, 1);

  //  
  if( (getbit($admin_arr[0][1], 8) == 0) ||
      ($admin_arr[0][2] == 0) )
  {
    echo "<p align=center> ...</p>\n";
    die;
  }
  //end

  //
  if( (isset($_GET["user_id_new"])) &&
      (isset($_GET["group_id_new"])) )
  {
    $todo = "new_admin";

    $GET_user_id     = addslashes($_GET["user_id_new"]);
    $GET_group_id    = addslashes($_GET["group_id_new"]);
    $GET_admin_level = get_query_bit();
  }

  if( (isset($_GET["user_id_edit"])) &&
      (isset($_GET["group_id_edit"])) )
  {
    $todo = "admin_edit";

    $GET_user_id     = addslashes($_GET["user_id_edit"]);
    $GET_group_id    = addslashes($_GET["group_id_edit"]);
    $GET_admin_level = get_query_bit();
  }

  if( ($_GET["ok"] == "on") &&
      (isset($_GET["user_id_del"])) &&
      (isset($_GET["group_id_del"])) )
  {
    $todo = "admin_del";

    $GET_user_id  = addslashes($_GET["user_id_del"]);
    $GET_group_id = addslashes($_GET["group_id_del"]);
  }

  if( ($_GET["ok"] == "on") &&
      (isset($_GET["user_id_on"])) &&
      (isset($_GET["group_id_on"])) )
  {
    $todo = "status_on";

    $GET_user_id  = addslashes($_GET["user_id_on"]);
    $GET_group_id = addslashes($_GET["group_id_on"]);
  }

  if( ($_GET["ok"] == "on") &&
      (isset($_GET["user_id_off"])) &&
      (isset($_GET["group_id_off"])) )
  {
    $todo = "status_off";

    $GET_user_id  = addslashes($_GET["user_id_off"]);
    $GET_group_id = addslashes($_GET["group_id_off"]);
  }

  if( isset($GET_user_id) )
  {
    // 
    $SQL = "SELECT count(*) FROM users WHERE id=\"" . $GET_user_id . "\"";
    $sql_res_user = $db_con->GetAll($SQL);
    check_sql_result($sql_res_user, $SQL, 1);
    $count_user = $sql_res_user[0][0];
    //end
  }

  if( isset($GET_group_id) )
  {
    // 
    $SQL = "SELECT count(*) FROM groups WHERE id=\"" . $GET_group_id . "\"";
    $sql_res_group = $db_con->GetAll($SQL);
    check_sql_result($sql_res_group, $SQL, 1);
    $count_group = $sql_res_group[0][0];
    //end
  }

  if( (isset($GET_user_id)) &&
      (isset($GET_group_id)) )
  {
    // 
    $SQL = "SELECT count(*) FROM admin_group WHERE user_id=\"" . $GET_user_id . "\" AND group_id=\"" . $GET_group_id . "\"";
    $sql_res_exist = $db_con->GetAll($SQL);
    check_sql_result($sql_res_exist, $SQL, 1);
    $count_exist = $sql_res_exist[0][0];
    //end
  }

  // 
  if($todo == "new_admin")
  {
    if( ($count_user  == 1) && //. 
       (($count_group == 1) || ($GET_group_id == 0)) && //.    
        ($count_exist == 0) )  //   
    {
      $SQL = "INSERT INTO admin_group (user_id, group_id, admin_level, status) VALUES (\"" . $GET_user_id . "\", \"" . $GET_group_id . "\", \"" . $GET_admin_level . "\", \"0\")";
      $sql_res = $db_con->Execute($SQL);
      check_sql_result($sql_res, $SQL, 1);
    }
  }
  //end

  // 
  if($todo == "admin_edit")
  {
    if( ($count_user  == 1) && //. 
       (($count_group == 1) || ($GET_group_id == 0)) && //.    
        ($count_exist == 1) )  //.  
    {
      $SQL = "UPDATE admin_group SET admin_level=\"" . $GET_admin_level . "\" WHERE user_id=\"" . $GET_user_id . "\" AND group_id=\"" . $GET_group_id . "\"";
      $sql_res = $db_con->Execute($SQL);
      check_sql_result($sql_res, $SQL, 1);
    }
  }
  //end

  // 
  if($todo == "admin_del")
  {
    if($count_exist == 1) //.  
    {
      $SQL = "DELETE FROM admin_group WHERE user_id=\"" . $GET_user_id . "\" AND group_id=\"" . $GET_group_id . "\"";
      $sql_res = $db_con->Execute($SQL);
      check_sql_result($sql_res, $SQL, 1);
    }
  }
  //end

  //   - on
  if($todo == "status_on")
  {
    if($count_exist == 1) //.  
    {
      $SQL = "UPDATE admin_group SET status=\"1\" WHERE user_id=\"" . $GET_user_id . "\" AND group_id=\"" . $GET_group_id . "\"";
      $sql_res = $db_con->Execute($SQL);
      check_sql_result($sql_res, $SQL, 1);
    }
  }
  //end

  //   - off
  if($todo == "status_off")
  {
    if($count_exist == 1) //.  
    {
      $SQL = "UPDATE admin_group SET status=\"0\" WHERE user_id=\"" . $GET_user_id . "\" AND group_id=\"" . $GET_group_id . "\"";
      $sql_res = $db_con->Execute($SQL);
      check_sql_result($sql_res, $SQL, 1);
    }
  }
  //end

  //end
?>

<a href=admin_group_edit.php?todo=new_admin> </a>

<center>

<b>  </b>
<table width=100% border=1 cellspacing=0 bordercolor=black>
<tr>
  <td bgcolor=AABBCC align=center><b> </b></td>
  <td bgcolor=AABBCC align=center><b></b></td>
  <td bgcolor=AABBCC align=center><b><br></b></td>
  <td bgcolor=AABBCC align=center><b></b></td>
  <td bgcolor=AABBCC align=center><b></b></td>
</tr>
<?
  // 
  $SQL = "SELECT user_id, group_id, admin_level, status FROM admin_group ORDER BY user_id, group_id";
  $sql_res_admin_group = $db_con->GetAll($SQL);
  check_sql_result($sql_res_admin_group, $SQL, 1);
  //end

  for($i = 0; $i < count($sql_res_admin_group); $i++)
  {
    $cur_user_id  = $sql_res_admin_group[$i][0];
    $cur_group_id = $sql_res_admin_group[$i][1];

    echo "<tr>\n";

    echo "  <td align=center>\n";
    echo get_user_group($db_con, $sql_res_admin_group[$i][0]) . "</a>\n";
    echo "  </td>\n";

    echo "  <td align=center>\n";
    echo "<table width=100% border=1 cellspacing=0 bordercolor=black>\n";

    echo "<tr><td align=center nowrap>\n";
    echo "<a href=admin_group_edit.php?user_id=" . $sql_res_admin_group[$i][0] . "&group_id=" . $sql_res_admin_group[$i][1] . "></a>\n";
    echo "</td></tr>\n";

    echo "<tr><td align=center nowrap>\n";
    if($sql_res_admin_group[$i][3] == 0)
    {
      $input_add = "_on";
      $text_button = "";
    }
    if($sql_res_admin_group[$i][3] == 1)
    {
      $input_add = "_off";
      $text_button = "";
    }
    echo "<form name=\"admin_status\" action=\"" . $_SERVER["PHP_SELF"] . "\" method=\"get\">\n";
    echo "<input name=\"ok\" type=\"checkbox\">-ok?\n";
    echo "<input name=\"user_id" . $input_add . "\" value=\"" . $cur_user_id  . "\" type=\"hidden\">\n";
    echo "<input name=\"group_id" . $input_add . "\" value=\"" . $cur_group_id . "\" type=\"hidden\">\n";
    echo "<input type=\"submit\" value=\"" . $text_button . "\">\n";
    echo "</form>\n";
    echo "</td></tr>\n";

    echo "<tr><td align=center nowrap>\n";
    echo "<form name=\"admin_id_del\" action=\"" . $_SERVER["PHP_SELF"] . "\" method=\"get\">\n";
    echo "<input name=\"ok\" type=\"checkbox\">-ok?\n";
    echo "<input name=\"user_id_del\" value=\"" . $cur_user_id  . "\" type=\"hidden\">\n";
    echo "<input name=\"group_id_del\" value=\"" . $cur_group_id . "\" type=\"hidden\">\n";
    echo "<input type=\"submit\" value=\"\">\n";
    echo "</form>\n";
    echo "</td></tr>\n";

    echo "</table>\n";
    echo "  </td>\n";

    echo "  <td align=center>\n";
    if($cur_group_id == 0) // 
    {
      $cur_group_name = "<font color=red> </font>";
      $cur_group_stat = "<font color=red></font>";
    } else
    {
      //  
      $SQL = "SELECT group_name, comment, max, status FROM groups WHERE id=\"" . $cur_group_id . "\"";
      $sql_res_group = $db_con->GetAll($SQL);
      check_sql_result($sql_res_group, $SQL, 1);
      //end

      if(count($sql_res_group) == 0)
      {
        $cur_group_name = "<font color=red> !</font>";
        $cur_group_stat = "<font color=red></font>";
      } else
      {
        $cur_group_name = $sql_res_group[0][0];
        $cur_group_stat = html_status($sql_res_group[0][3], 1);
      }
    }
    echo $cur_group_name . "\n";
    echo "<hr>\n";
    echo $cur_group_stat . "\n";
    echo "  </td>\n";

    echo "  <td align=left nowrap>\n";
    echo "<font size=2>\n";
//!!! -  9  
    for($j = 0; $j < admin_level_count(); $j++)
    {
      if(getbit($sql_res_admin_group[$i][2], $j) == 1)
        echo $j . " - " . text_admin_level($j) . "<br>\n";
    }
    echo "</font>\n";
    echo "  </td>\n";

    echo "  <td align=center nowrap>\n";
    echo html_status($sql_res_admin_group[$i][3], 2) . "\n";
    echo "  </td>\n";

    echo "</tr>\n";
  }
?>
</table>
</center>
<?
  php_finish();
  show_php_stat();
?>

</body>
</html>
